<div class="modal fade" id="update_vehicle" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content rounded">
            <div class="modal-header justify-content-between border-0 pb-0" id="update_vehicle_header">
                <h1 class="mb-3 title-modal">Рассылка</h1>
                <div class="btn btn-sm btn-icon btn-active-color-primary" data-bs-dismiss="modal">
                    <span class="svg-icon svg-icon-1">
                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                            <rect opacity="0.5" x="6" y="17.3137" width="16" height="2" rx="1"
                                  transform="rotate(-45 6 17.3137)" fill="black"/>
                            <rect x="7.41422" y="6" width="16" height="2" rx="1"
                                  transform="rotate(45 7.41422 6)" fill="black"/>
                        </svg>
                    </span>
                </div>
            </div>
            <hr class="line-modal">
            <form id="vehicle_update">
                <div class="modal-body pt-0 pb-5 px-5">
                    <div class="d-flex flex-column">
                        <div class="row mt-4 scroll-y " data-kt-scroll="true"
                             id="update_vehicle_scroll"
                             data-kt-scroll-activate="{default: false, lg: true}"
                             data-kt-scroll-max-height="auto"
                             data-kt-scroll-dependencies="#update_vehicle_header"
                             data-kt-scroll-wrappers="#update_vehicle_scroll" data-kt-scroll-offset="300px">
                            <div class="col-12">
                                <label for="name">Наименование<span style="color: red;">*</span></label>
                                <input class="form-control form-input min-h-40px" type="text" id="titleE" required>
                                <label for="name">Дата запуска <span style="color: red;">*</span></label>
                                <input class="form-control form-input min-h-40px" type="datetime-local"
                                       id="start_date_timeE"
                                       required>
                                <label for="name">Дата окончания <span style="color: red;">*</span></label>
                                <input class="form-control form-input min-h-40px" type="datetime-local"
                                       id="end_date_timeE"
                                       required>
                                <label for="name">Сообщения<span style="color: red;">*</span></label>
                                <input class="form-control form-input min-h-40px" type="text" id="messageE"
                                       required>
                                <label for="name">Оператор</label>
                                <input class="form-control form-input min-h-40px" type="text" id="operator_codeE">
                                <label for="name">Тег</label>
                                <input class="form-control form-input min-h-40px" type="text" id="tagE">
                            </div>
                        </div>
                    </div>
                </div>
                <hr class="line-modal">
                <div class="modal-body pt-0 pb-5 px-7">
                    <div class="d-flex justify-content-end flex-row-fluid pt-2">
                        <button type="reset" class="btn btn-light me-3" data-bs-dismiss="modal">Отмена</button>
                        <button type="submit" class="btn btn-primary">Изменить</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

<script>

    $("#componentsE").select2({
        closeOnSelect: false,
    })

    let update_client_url = "";
    $('.update_vehicle').click(function () {
        update_client_url = $(this).data('url');

        $.getJSON(`${update_client_url}`, function (data) {
            $("#titleE").val(data.title);
            $("#start_date_timeE").val(new Date(data.start_date_time).toISOString().slice(0, 16));
            $("#end_date_timeE").val(new Date(data.end_date_time).toISOString().slice(0, 16));
            $("#messageE").val(data.message);
            $("#operator_codeE").val(data.operator_code);
            $("#tagE").val(data.tag);
        });
    });

    $("#vehicle_update").submit(function (event) {
        event.preventDefault();
        let dispatchData = new FormData();
        dispatchData.append("title", $("#titleE").val());
        dispatchData.append("start_date_time", new Date($("#start_date_timeE").val()).toISOString());
        dispatchData.append("end_date_time", new Date($("#end_date_timeE").val()).toISOString());
        dispatchData.append("message", $("#messageE").val());
        dispatchData.append("operator_code", $("#operator_codeE").val());
        dispatchData.append("tag", $("#tagE").val());


        $.ajax({
            headers: {"X-CSRFToken": "{{csrf_token}}"},
            url: update_client_url,
            processData: false,
            contentType: false,
            method: 'PATCH',
            data: dispatchData,
            success: function (data) {
                location.reload();
            },
            error: function (data) {
                Swal.fire({
                    title: 'Проверьте Ваши данные ещё раз!',
                    text: data.responseText,
                    icon: "error",
                    buttonsStyling: !1,
                    confirmButtonText: "Ok",
                    customClass: {confirmButton: "btn fw-bold btn-danger"}
                })
            }

        });
    });

</script>